org.apache.nutch.storage

## Class ProtocolStatus.Tombstone

- java.lang.Object
- - org.apache.avro.specific.SpecificRecordBase
  - - org.apache.gora.persistency.impl.PersistentBase
    - - org.apache.nutch.storage.ProtocolStatus
      - - org.apache.nutch.storage.ProtocolStatus.Tombstone

- All Implemented Interfaces:
    Comparable<org.apache.avro.specific.SpecificRecord>, org.apache.avro.generic.GenericContainer, org.apache.avro.generic.GenericRecord, org.apache.avro.generic.IndexedRecord, org.apache.avro.specific.SpecificRecord, org.apache.gora.persistency.Dirtyable, org.apache.gora.persistency.Persistent, org.apache.gora.persistency.Tombstone
  Enclosing class:
    ProtocolStatus

      public static final class ProtocolStatus.Tombstone
      extends ProtocolStatus
      implements org.apache.gora.persistency.Tombstone

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.nutch.storage.ProtocolStatus

      `ProtocolStatus.Builder, ProtocolStatus.Field, ProtocolStatus.Tombstone`

    - ### Nested classes/interfaces inherited from class org.apache.gora.persistency.impl.PersistentBase

      `org.apache.gora.persistency.impl.PersistentBase.PersistentData`

  - ### Field Summary

    - ### Fields inherited from class org.apache.nutch.storage.ProtocolStatus

      `_ALL_FIELDS, SCHEMA$`

    - ### Fields inherited from interface org.apache.gora.persistency.Persistent

      `DIRTY_BYTES_FIELD_NAME`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<CharSequence>` | `getArgs()` Gets the value of the 'args' field.
    `Integer` | `getCode()` Gets the value of the 'code' field.
    `Long` | `getLastModified()` Gets the value of the 'lastModified' field.
    `boolean` | `isArgsDirty(List<CharSequence> value)` Checks the dirty status of the 'args' field.
    `boolean` | `isCodeDirty(Integer value)` Checks the dirty status of the 'code' field.
    `boolean` | `isLastModifiedDirty(Long value)` Checks the dirty status of the 'lastModified' field.
    `void` | `setArgs(List<CharSequence> value)` Sets the value of the 'args' field.
    `void` | `setCode(Integer value)` Sets the value of the 'code' field.
    `void` | `setLastModified(Long value)` Sets the value of the 'lastModified' field.

    - ### Methods inherited from class org.apache.nutch.storage.ProtocolStatus

      `get, getFieldsCount, getSchema, getTombstone, isSuccess, newBuilder, newBuilder, newBuilder, newInstance, put`

    - ### Methods inherited from class org.apache.gora.persistency.impl.PersistentBase

      `clear, clearDirty, clearDirty, clearDirty, equals, getUnmanagedFields, isDirty, isDirty, isDirty, setDirty, setDirty, setDirty`

    - ### Methods inherited from class org.apache.avro.specific.SpecificRecordBase

      `compareTo, get, hashCode, put, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.gora.persistency.Persistent

      `clear, clearDirty, clearDirty, getUnmanagedFields, isDirty, isDirty, setDirty, setDirty, setDirty`

    - ### Methods inherited from interface org.apache.gora.persistency.Dirtyable

      `clearDirty, isDirty`

- - ### Method Detail

    - #### getCode

          public Integer getCode()

      Gets the value of the 'code' field. A protocol response code which can be one of SUCCESS - content was retrieved without errors, FAILED - Content was not retrieved. Any further errors may be indicated in args, PROTO_NOT_FOUND - This protocol was not found. Application may attempt to retry later, GONE - Resource is gone, MOVED - Resource has moved permanently. New url should be found in args, TEMP_MOVED - Resource has moved temporarily. New url should be found in args., NOTFOUND - Resource was not found, RETRY - Temporary failure. Application may retry immediately., EXCEPTION - Unspecified exception occured. Further information may be provided in args., ACCESS_DENIED - Access denied - authorization required, but missing/incorrect., ROBOTS_DENIED - Access denied by robots.txt rules., REDIR_EXCEEDED - Too many redirects., NOTFETCHING - Not fetching., NOTMODIFIED - Unchanged since the last fetch., WOULDBLOCK - Request was refused by protocol plugins, because it would block. The expected number of milliseconds to wait before retry may be provided in args., BLOCKED - Thread was blocked http.max.delays times during fetching.
      Overrides:
        `getCode` in class `ProtocolStatus`

    - #### setCode

          public void setCode(Integer value)

      Sets the value of the 'code' field. A protocol response code which can be one of SUCCESS - content was retrieved without errors, FAILED - Content was not retrieved. Any further errors may be indicated in args, PROTO_NOT_FOUND - This protocol was not found. Application may attempt to retry later, GONE - Resource is gone, MOVED - Resource has moved permanently. New url should be found in args, TEMP_MOVED - Resource has moved temporarily. New url should be found in args., NOTFOUND - Resource was not found, RETRY - Temporary failure. Application may retry immediately., EXCEPTION - Unspecified exception occured. Further information may be provided in args., ACCESS_DENIED - Access denied - authorization required, but missing/incorrect., ROBOTS_DENIED - Access denied by robots.txt rules., REDIR_EXCEEDED - Too many redirects., NOTFETCHING - Not fetching., NOTMODIFIED - Unchanged since the last fetch., WOULDBLOCK - Request was refused by protocol plugins, because it would block. The expected number of milliseconds to wait before retry may be provided in args., BLOCKED - Thread was blocked http.max.delays times during fetching. * @param value the value to set.
      Overrides:
        `setCode` in class `ProtocolStatus`

    - #### isCodeDirty

          public boolean isCodeDirty(Integer value)

      Checks the dirty status of the 'code' field. A field is dirty if it represents a change that has not yet been written to the database. A protocol response code which can be one of SUCCESS - content was retrieved without errors, FAILED - Content was not retrieved. Any further errors may be indicated in args, PROTO_NOT_FOUND - This protocol was not found. Application may attempt to retry later, GONE - Resource is gone, MOVED - Resource has moved permanently. New url should be found in args, TEMP_MOVED - Resource has moved temporarily. New url should be found in args., NOTFOUND - Resource was not found, RETRY - Temporary failure. Application may retry immediately., EXCEPTION - Unspecified exception occured. Further information may be provided in args., ACCESS_DENIED - Access denied - authorization required, but missing/incorrect., ROBOTS_DENIED - Access denied by robots.txt rules., REDIR_EXCEEDED - Too many redirects., NOTFETCHING - Not fetching., NOTMODIFIED - Unchanged since the last fetch., WOULDBLOCK - Request was refused by protocol plugins, because it would block. The expected number of milliseconds to wait before retry may be provided in args., BLOCKED - Thread was blocked http.max.delays times during fetching. * @param value the value to set.
      Overrides:
        `isCodeDirty` in class `ProtocolStatus`

    - #### getArgs

          public List<CharSequence> getArgs()

      Gets the value of the 'args' field. Optional arguments supplied to compliment and/or justify the response code.
      Overrides:
        `getArgs` in class `ProtocolStatus`

    - #### setArgs

          public void setArgs(List<CharSequence> value)

      Sets the value of the 'args' field. Optional arguments supplied to compliment and/or justify the response code. * @param value the value to set.
      Overrides:
        `setArgs` in class `ProtocolStatus`

    - #### isArgsDirty

          public boolean isArgsDirty(List<CharSequence> value)

      Checks the dirty status of the 'args' field. A field is dirty if it represents a change that has not yet been written to the database. Optional arguments supplied to compliment and/or justify the response code. * @param value the value to set.
      Overrides:
        `isArgsDirty` in class `ProtocolStatus`

    - #### getLastModified

          public Long getLastModified()

      Gets the value of the 'lastModified' field. A server reponse indicating when this page was last modified, this can be unreliable at times hence this is used as a default fall back value for the preferred 'modifiedTime' and 'preModifiedTime' obtained from the WebPage itself.
      Overrides:
        `getLastModified` in class `ProtocolStatus`

    - #### setLastModified

          public void setLastModified(Long value)

      Sets the value of the 'lastModified' field. A server reponse indicating when this page was last modified, this can be unreliable at times hence this is used as a default fall back value for the preferred 'modifiedTime' and 'preModifiedTime' obtained from the WebPage itself. * @param value the value to set.
      Overrides:
        `setLastModified` in class `ProtocolStatus`

    - #### isLastModifiedDirty

          public boolean isLastModifiedDirty(Long value)

      Checks the dirty status of the 'lastModified' field. A field is dirty if it represents a change that has not yet been written to the database. A server reponse indicating when this page was last modified, this can be unreliable at times hence this is used as a default fall back value for the preferred 'modifiedTime' and 'preModifiedTime' obtained from the WebPage itself. * @param value the value to set.
      Overrides:
        `isLastModifiedDirty` in class `ProtocolStatus`

Copyright © 2015 The Apache Software Foundation